with (import <nixpkgs> {});
let
  asciidoctor_revealjs = bundlerApp {
    pname = "asciidoctor-revealjs";
    exes = [ "asciidoctor-revealjs" ];
    inherit ruby;
    gemdir = ./.;
  };

  revealjs = fetchFromGitHub {
    owner = "hakimel";
    repo = "reveal.js";
    rev = "3.9.2";
    sha256 = "1xaqgrib3m8ijnphph3aiz6d98w2mm1hlz643dargd12h4kx1lll";
  };

in derivation {
  name = "cours-cesi-git";
  builder = "${bash}/bin/bash";
  args = [ ./build.sh ];
  inherit asciidoctor asciidoctor_revealjs coreutils jre graphviz revealjs;
  src = ./src;
  images = ./images;
  system = builtins.currentSystem;
}

